@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,500;1,300&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Kanit&display=swap");

* {
  margin: 0;
  padding: 0;
}

/* HEADER */

header {
  background-color: #727272;
  text-align: left;
  font-size: 1em;
  font-family: "Roboto", sans-serif;
  margin-bottom: 5vh;
  display: flex;
  justify-content: space-between;
}

header a {
  text-decoration: none;
}

header h1 {
  color: rgb(255, 255, 255);
  margin-left: 1%;
}

header h6 {
  color: rgb(255, 255, 255);
  font-weight: 400;
}

/* Nav */

.mobile {
  margin-left: 67%;
  z-index: 99;
  display: flex;
}

.mobile label {
  z-index: 99;
  width: 40px;
}

.mobile ul {
  list-style-type: none;
}

.close {
  display: none;
  z-index: 98;
}

.checkbox {
  display: none;
}

.mobile ul {
  display: none;
}

.checkbox:checked ~ ul {
  padding-top: 5%;
  display: block;
  left: 0;
  position: absolute;
  z-index: 10;
  top: 6%;
  background-color: var(--red);
  width: 100%;
  text-align: center;
}

.checkbox:checked ~ ul li {
  padding: 10%;
}

.checkbox:checked ~ ul li a {
  text-decoration: none;
  color: white;
  font-size: 2em;
}

.checkbox:checked ~ label .open {
  display: none;
}

.checkbox:checked ~ label .close {
  display: block;
}

nav {
  margin-top: 1%;
  margin-right: 5%;
  display: flex;
  justify-content: space-between;
  min-width: 50%;
}

nav a {
  color: white;
  text-decoration: none;
  margin-right: 3%;
}

nav a:hover {
  color: crimson;
}
/* MAIN */

main {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  font-family: "Kanit", sans-serif;
  padding-bottom: 10vh;
  padding-top: 5vh;
  border-radius: 2%;
  background: #727272;
  box-shadow: 2px 1px 29px -5px rgba(0, 0, 0, 0.75);
  -webkit-box-shadow: 2px 1px 29px -5px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 2px 1px 29px -5px rgba(0, 0, 0, 0.75);
}

.profileimg {
  border-radius: 0% 0% 0% 3%;
  width: 100%;
}

.indextext {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  max-width: 100%;
  margin: 4vh 2vw;
}

.index h2 {
  justify-self: center;
  font-size: 3em;
  line-height: 100%;
  color: white;
}

.index h3 {
  font-size: 2em;
  color: white;
  margin-bottom: 2%;
}

h3 i {
  font-size: 0.85em;
}

.index p {
  color: white;
  font-size: 1em;
  margin-bottom: 5%;
}

.index {
  flex-direction: column;
  margin-left: 2vw !important;
  margin-right: 2vw !important;
  margin-bottom: 6vh !important;
  justify-content: center;
  padding: 0 !important;
}

html {
  background-color: #2b2b2b;
}

.classbox {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-content: center;
  width: 90%;
  height: auto;
  background-color: white;
  border: #2b2b2b 0.5em solid;
  border-radius: 1.5em;
  margin-top: 1vh;
  padding: 0 1rem;
}

.classbox:hover {
  transform: scale(1.01);
}

.classbox:active {
  transform: scale(1.05);
}

.classbox a {
  color: rgb(82, 82, 82);
}

.classbox a:hover {
  color: crimson;
}

.classbox i {
  font-size: 1em;
  width: auto;
}

.gitlink {
  border: #2b2b2b 2px dotted;
  border-radius: 0 0 0.5em 0.5em;
  width: 100%;
}

.classbox img {
  width: 100%;
  aspect-ratio: 16 / 9;
}

footer {
  text-align: center;
  position: fixed;
  bottom: 0;
  width: 100vw;
  background-color: rgb(82, 82, 82);
  font-size: 1.1em;
  -webkit-box-shadow: 0px -9px 29px -18px rgba(0, 0, 0, 1);
  -moz-box-shadow: 0px -9px 29px -18px rgba(0, 0, 0, 1);
  box-shadow: 0px -9px 29px -18px rgba(0, 0, 0, 1);
}

.projects {
  flex-wrap: wrap;
  justify-content: center;
  margin-left: 2%;
  margin-right: 2%;
  margin-bottom: 4%;
}

.classbox a {
  text-decoration: none;
  font-size: 3em;
  text-align: center;
}

@media screen and (min-width: 768px) {
  .classbox {
    width: 40%;
    margin-top: 2%;
    margin-left: 1%;
    margin-right: 1%;
  }

  main {
    flex-direction: row;
    margin: 1%;
    justify-content: space-between;
    margin: 0;
    padding: 3% 1%;
  }

  header {
    font-size: 2em;
  }

  .profileimg {
    width: 25%;
    position: sticky;
    margin: 0;
    margin-left: -2%;
    padding: 0;
    border-radius: 0% 0% 0% 3%;
  }

  .index {
    flex-direction: row;
  }

  .indextext {
    max-width: 69%;
    text-align: left;
  }

  .index h2 {
    justify-self: center;
    font-size: 7em;
    color: white;
  }

  .index h3 {
    font-size: 4em;
    color: white;
    margin-bottom: 2%;
  }

  .index p {
    color: white;
    font-size: 2em;
    margin-bottom: 5%;
  }

  h3 i {
    font-size: 0.85em;
  }
}

@media screen and (max-width: 400px) {
  nav {
    display: flex;
    flex-direction: column;
    margin-right: -20%;
  }
}
